import {
  __export
} from "./chunk-CSAU5B4Q.js";

// src/Utils.ts
var Utils_exports = {};
__export(Utils_exports, {
  generateKey: () => generateKey,
  split: () => split,
  splitKey: () => splitKey
});
var generateKey = (kind, name) => {
  return `${kind}:${name}`;
};
var splitKey = (key) => {
  return key.split(":");
};
var split = (p, delimiter) => {
  const array = [];
  for (const seg of p.split(delimiter)) {
    switch (seg) {
      case ".":
        break;
      case "..":
        array.pop();
        break;
      default:
        array.push(seg);
        break;
    }
  }
  return array;
};

export {
  generateKey,
  splitKey,
  split,
  Utils_exports
};
//# sourceMappingURL=chunk-4ENVCU5M.js.map